Redmine - Feature #12795

View group members by non-admin users
2013-01-10 13:01 - Scott Roland

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Groups Estimated time: 0.00 hour
Target version: 5.0.0

Resolution: Fixed

Description

There is currently no way for a user to find out who is a member of which groups. | would like this page (and the individual group
pages) to be visible by non-admin users (although obviously not editable):
http://demo.redmine.org/groups

In conjunction with Feature Request #12794 (Member groups not listed in project page), here is how | would see it being used:
| open a new Bug Issue for a project and assign it to the group "Database-Developers". When nothing happens with the issue, | want
to know who is in that group so that | can talk to them in person.

Related issues:

Related to Redmine - Feature #12796: Display user's groups on profile Closed
Related to Redmine - Feature #12794: Member groups not listed in project page Closed
Related to Redmine - Defect #35823: undefined method "+' for nil:NilClass Closed
Related to Redmine - Patch #38144: Refactoring: Use Group.visible instead of ... Closed
Related to Redmine - Patch #37994: Unify link to user/group in application he... New

Associated revisions

Revision 21072 - 2021-07-19 16:42 - Go MAEDA

Allow non-admin users to see group members (#12795).

Patch by Go MAEDA.

Revision 21073 - 2021-07-19 17:13 - Go MAEDA

Add link from group name to group page on project overview page (#12795).

Patch by Go MAEDA.

Revision 21074 - 2021-07-20 23:35 - Go MAEDA

Set "icon icon-group" CSS classes in _members_box.html.erb instead of ApplicationHeler (#12795).

Revision 21075 - 2021-07-20 23:39 - Go MAEDA
Link from assignee to group page (#12795).

Revision 21113 - 2021-07-31 02:53 - Go MAEDA
GroupsController#show should only display visible users (#12795).

Revision 21114 - 2021-07-31 07:33 - Go MAEDA
Link to the profile page from users on the group page (#12795).

Revision 21203 - 2021-08-31 04:17 - Go MAEDA
Fix that test_link_to_principal_should_link_to_user does not actually test anything (#12795).

Revision 21217 - 2021-09-07 16:59 - Go MAEDA
Fix NoMethodError when generating a link to a locked user (#12795, #35823).

History
http://demo.redmine.org/groups
https://www.redmine.org/issues/12794

#1 - 2013-01-10 21:25 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from Non-admin users cannot get info about groups to View group members by non-admin users

#2 - 2020-11-15 04:14 - Go MAEDA

+1

The following code allows users to see group members according to "Users visibility" setting (#11724) of their role.

diff --git a/app/controllers/groups_controller.rb b/app/controllers/groups_controller.rb

index fb21e2f05..68fa826c9 100644

—-—— a/app/controllers/groups_controller.rb

+++ b/app/controllers/groups_controller.rb

@@ -21,7 +21,7 @@
layout 'admin'
self.main_menu = false

- Dbefore_action :require_admin

class GroupsController < ApplicationController

+ Dbefore_action :require_admin, :except => [:show]
before_action :find_group, :except => [:index, :new, :create]
accept_api_auth :index, :show, :create, :update, :destroy, :add_users, :remove_user

@@ -50,6 +50,8 @@ class GroupsController < ApplicationController

end

def show
+ return render_404 unless @group.visible?

respond_to do |format|
format.html

format.api

#3 - 2020-11-15 14:34 - Go MAEDA

- File 0001-Allow-non-admin-users-to-see-group-members-when-the-.patch added

- File 0002-Add-link-from-group-name-to-group-page.patch added
- File link-from-group-name-to-group-page.png added
- File group-page.png added

The attached patches implement the feature.

e A user can see /groups/:id page that displays group members if the group is visible for the user. The visibility of the group follows "Users

visibility" setting of roles
¢ Adds links from group names to /groups/:id page

Overview

Recipes management application

» Homepage: http://ecookbook.somenet.foo/
e Development status: Stable

Issue tracking %

open closed Total
Bug 9 3 12
Feature request 1 0 1
Support request 0 0 0

View all issues | Summary | Calendar | Gantt

2 Time tracking

e Estimated time: 203.50 hours
e Spent time: 162.90 hours

Log time | Details | Report

@ Remove bookmark ...

2 Latest news

100,000 downloads for eCookbook
eCookbook 1.0 have downloaded 100,000 times
Added by John Smith over 14 years ago

eCookbook first release ! (1 comment)
First version was released...
Added by John Smith over 14 years ago

View all news

2° Members

Manager: John Smith
Developer: Dave Lopper, Dave2 Lopper2, User Misc

% Subprojects

Private child of eCookbook, eCookbook Subproject 1, eCookbook Subproject 2
https://www.redmine.org/issues/11724

Home My page Projects Administration Help

Redmine

Groups » A Team

Members

e User Misc

#4 - 2021-06-12 09:56 - Go MAEDA

- File 0001-Allow-non-admin-users-to-see-group-members-when-the-.patch added

Updated the patch. Make the page layout consistent with the user profile page.

#5 - 2021-06-12 09:57 - Go MAEDA

- File deleted (0001-Allow-non-admin-users-to-see-group-members-when-the-.patch)

#6 - 2021-06-22 10:29 - Go MAEDA

- Target version set to Candidate for next major release

#7 - 2021-07-11 04:24 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#8 - 2021-07-19 17:15 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

Non-admin users can see group members by clicking a group name on the project overview page.

#9 - 2021-07-20 23:42 - Go MAEDA
Go MAEDA wrote:

Committed the patch.

Non-admin users can see group members by clicking a group name on the project overview page.

Also, the assignee field now shows a link to the group page if the assignee is a group (r21075).

#10 - 2021-08-28 09:24 - Go MAEDA
- Related to Defect #35823: undefined method "+' for nil:NilClass added

#11 - 2023-01-02 19:17 - Holger Just
- Related to Patch #38144: Refactoring: Use Group.visible instead of manual visibility check in GroupsController added

#12 - 2023-01-02 19:17 - Holger Just
- Related to Patch #37994: Unify link to user/group in application helper added

Files
https://www.redmine.org/projects/redmine/repository/svn/revisions/21075

0002-Add-link-from-group-name-to-group-page.patch 3.68 KB
link-from-group-name-to-group-page.png 213 KB
group-page.png 30.3 KB
0001-Allow-non-admin-users-to-see-group-members-when-the-.patch 2.75 KB
